aboutsummaryrefslogtreecommitdiffstats
path: root/build-and-push.sh
diff options
context:
space:
mode:
authorJan Tuomi <jans.tuomi@gmail.com>2023-09-25 10:11:28 +0300
committerJan Tuomi <jans.tuomi@gmail.com>2023-09-25 10:11:28 +0300
commitbd77148bef39829350670856706b48ad35837df1 (patch)
tree131d42bbb5eb9e62ea3b844de6bfc3747129e71b /build-and-push.sh
parented5fbd131fad269074a461084834e40f5915ca8f (diff)
Improve http error logging
Diffstat (limited to 'build-and-push.sh')
-rwxr-xr-xbuild-and-push.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build-and-push.sh b/build-and-push.sh
new file mode 100755
index 0000000..a6b389d
--- /dev/null
+++ b/build-and-push.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+IMAGE=registry.digitalocean.com/jan-systems-registry/aggro:latest
+
+set -euxo pipefail
+docker build --platform linux/amd64 -t $IMAGE .
+docker push $IMAGE